/*
 * Class SEQUENCE [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_596 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_596 [] = {0xFF01,237,595,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_596 [] = {0xFF01,595,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_596 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_596 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_596 [] = {0xFF01,595,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_596 [] = {0xFF01,595,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_596 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_596 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_596 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_596 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_596 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_596 [] = {595,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_596 [] = {0xFF01,595,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_596 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_596 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_596 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_596 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_596 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_596[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_596), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_596), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_596), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_596), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_596), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_596), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_596), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_596), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_596), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_596), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_596), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_596), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_596), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_596), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_596), 2388, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_596), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2378, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_596), 2381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_596), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2482, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2565, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1948, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2566, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2567, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_596), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2568, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2563, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2564, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init596(void)
{
	IDSC(desc_596, 0, 595);
	IDSC(desc_596 + 1, 1, 595);
	IDSC(desc_596 + 32, 77, 595);
	IDSC(desc_596 + 41, 155, 595);
	IDSC(desc_596 + 50, 30, 595);
	IDSC(desc_596 + 57, 282, 595);
	IDSC(desc_596 + 66, 243, 595);
	IDSC(desc_596 + 72, 229, 595);
	IDSC(desc_596 + 73, 294, 595);
	IDSC(desc_596 + 76, 237, 595);
	IDSC(desc_596 + 78, 50, 595);
	IDSC(desc_596 + 79, 35, 595);
}


#ifdef __cplusplus
}
#endif
